Runtime

## org.eclipse.gmf.runtime.notation
Interface ImageStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  ImageBufferStyle

All Known Implementing Classes:
  ImageBufferStyleImpl, ImageStyleImpl

    public interface ImageStyle

extends Style

A representation of the model object 'Image Style'.

The following features are supported:

- `Anti Alias`
- `Maintain Aspect Ratio`
- `Crop Bound`

See Also:
  `NotationPackage.getImageStyle()`
** Generated **
Model:

Method Summary
`java.lang.Boolean` `getAntiAlias()` Returns the value of the 'Anti Alias' attribute.
`Bounds` `getCropBound()` Returns the value of the 'Crop Bound' containment reference
`java.lang.Boolean` `getMaintainAspectRatio()` Returns the value of the 'Maintain Aspect Ratio' attribute.
`void` `setAntiAlias(java.lang.Boolean value)` Sets the value of the '`Anti Alias`' attribute
`void` `setCropBound(Bounds value)` Sets the value of the '`Crop Bound`' containment reference
`void` `setMaintainAspectRatio(java.lang.Boolean value)` Sets the value of the '`Maintain Aspect Ratio`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAntiAlias

    java.lang.Boolean getAntiAlias()

  Returns the value of the 'Anti Alias' attribute. The default value is `"true"`.

  If the meaning of the 'Anti Alias' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Anti Alias' attribute.
  See Also:
    `setAntiAlias(Boolean)`, `NotationPackage.getImageStyle_AntiAlias()`
  ** Generated **
  Model:
    default="true"

### setAntiAlias

    void setAntiAlias(java.lang.Boolean value)

  Sets the value of the '`Anti Alias`' attribute.

  Parameters:
    `value` - the new value of the 'Anti Alias' attribute.
  See Also:
    `getAntiAlias()`
  ** Generated **

### getMaintainAspectRatio

    java.lang.Boolean getMaintainAspectRatio()

  Returns the value of the 'Maintain Aspect Ratio' attribute. The default value is `"true"`.

  If the meaning of the 'Maintain Aspect Ratio' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maintain Aspect Ratio' attribute.
  See Also:
    `setMaintainAspectRatio(Boolean)`, `NotationPackage.getImageStyle_MaintainAspectRatio()`
  ** Generated **
  Model:
    default="true"

### setMaintainAspectRatio

    void setMaintainAspectRatio(java.lang.Boolean value)

  Sets the value of the '`Maintain Aspect Ratio`' attribute.

  Parameters:
    `value` - the new value of the 'Maintain Aspect Ratio' attribute.
  See Also:
    `getMaintainAspectRatio()`
  ** Generated **

### getCropBound

    Bounds getCropBound()

  Returns the value of the 'Crop Bound' containment reference.

  If the meaning of the 'Crop Bound' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Crop Bound' containment reference.
  See Also:
    `setCropBound(Bounds)`, `NotationPackage.getImageStyle_CropBound()`
  ** Generated **
  Model:
    containment="true" required="true"

### setCropBound

    void setCropBound(Bounds value)

  Sets the value of the '`Crop Bound`' containment reference.

  Parameters:
    `value` - the new value of the 'Crop Bound' containment reference.
  See Also:
    `getCropBound()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.